<?
//include "config.inc.php";
//include "class/member.class.php";
//$member=new member();
//$user_info = $member->member_auth();
//$uid =$user_info[user_id];
//$ctype='allbuy';
//$merchant="000663";
//$sign = $_GET[sign];
//$price=$_GET[amount];
//$success = $_GET[success];
//$OrderID= $_GET[billno];
//$str = $merchant.$OrderID.$price."Y"."123456";
//$ss = md5($str);
//if($ss!=$sign) die("返回代码错误1,请和管理员联系!你的订单号是$OrderID");
//$blog=$PlusDB->prefix(bank_log);
////查询此订单是否已经写入
//$sql="select count(*) as num from $blog where id='$OrderID' and o_b='yes'";
//$numrow=$PlusDB->GetRow($sql);
//$checknum=$numrow[num];
//if($checknum>0) die("错误代码748,请和管理员联系,您的订单号是$OrderID");
//	$change = $site_conf[system][point_change];
//	$points =ceil($sum*$change);
//	$member->updateMyPoint($price,$uid,$ctype,$OrderID);	
////endend
include "config.inc.php";
include "class/cart.class.php";
$cart=new cart();
$c_order = $_GET["c_order"];
if(is_numeric($c_order) &&  $c_order>0){
	$oid = $c_order;
}
			$oinfo=$cart->getTheOrder($oid);
			$order = $oinfo["order"];
			$payment = $oinfo[payment];
			$pay_intro = trim($payment[intro]);
			$pid=$payment[id];
			$sum=sprintf("%02.2f",$oinfo[sum]);	//总金额
			$order[date] = date("Ymd");
			if(file_exists("include/payment/".$pay_intro."/get.php")){
				include "include/payment/".$pay_intro."/get.php";
			}else{
				echo $payment[title];
				echo "<br>";
				echo $payment[intro];
			}

?>
